using System;


namespace takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            int totalSreca = 0;
            int n, m;
            string input = Console.ReadLine();
            var d = input.Split(' ');
            n = int.Parse(d[0]);
            m = int.Parse(d[1]);
            int[] sreca = new int[n];
            for (int i = 0; i < n; i++)
            {
                sreca[i] = int.Parse(Console.ReadLine());
            }
            
            for (int i = 0; i < m; i++)
            {
                int poznanik1, poznanik2;
                input = Console.ReadLine();
                d = input.Split(' ');
                poznanik1 = int.Parse(d[0]) -1;
                poznanik2 = int.Parse(d[1]) -1;
                if (sreca[poznanik1] >= 0 && sreca[poznanik2] >= 0)
                {
                    totalSreca += sreca[poznanik1] + sreca[poznanik2];
                }
                else if (sreca[poznanik1] < 0 && sreca[poznanik2] < 0)
                {
                    totalSreca -= (sreca[poznanik1] + sreca[poznanik2]);
                }
                else
                {
                    totalSreca += Math.Abs(Math.Abs(sreca[poznanik1]) - Math.Abs(sreca[poznanik2]));
                }
            }
            Console.WriteLine(totalSreca);
            Console.ReadLine();
        }
    }
}